autofs-5.1.6 - fix incorrect logical compare in unlink_mount_tree()

From: Ian Kent <raven@themaw.net>

Fix silly mistake using or instead of and in unlink_mount_tree().

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/mounts.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 2974e628..cecaa9c2 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -43,6 +43,7 @@ xx/xx/2020 autofs-5.1.7
 - fix typo in daemon/automount.c.
 - fix direct mount unlink_mount_tree() path.
 - fix unlink mounts umount order.
+- fix incorrect logical compare in unlink_mount_tree().
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/lib/mounts.c b/lib/mounts.c
index e5ac580f..0dd603f2 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -959,7 +959,7 @@ int unlink_mount_tree(struct autofs_point *ap, const char *mp)
 		return 0;
 
 	for (mnt = mnts; mnt; mnt = mnt->next) {
-		if (mnt->flags | MNTS_AUTOFS)
+		if (mnt->flags & MNTS_AUTOFS)
 			rv = umount2(mnt->mp, MNT_DETACH);
 		else
 			rv = spawn_umount(ap->logopt, "-l", mnt->mp, NULL);
